import 'package:app_hit_a_wod/src/models/training_workout_section.model.dart';
import 'package:json_annotation/json_annotation.dart';

part 'training_workout.model.g.dart';

@JsonSerializable()
class TrainingWorkout {

  TrainingWorkout();

  factory TrainingWorkout.fromJson(Map<String, dynamic> json) => _$TrainingWorkoutFromJson(json);
  Map<String, dynamic> toJson() => _$TrainingWorkoutToJson(this);

  int id;
  int box_id;
  String name;
  String description;
  String category;
  DateTime created_at;
  DateTime updated_at;
  List<TrainingWorkoutSection> training_workout_sections;

}